# EXAMPLE `c12rifisobp/`
A C-12 beam using a spread out Bragg-peak (which was optimized using TRiP98), including a ripple filter.

## General Features
- C-12 beam, external beam file loaded which creates a SOBP.
- SOBP is spherical (!) with diameter 5 cm, centered at z = 10 cm.
- GSI 3 mm ripple filter implementation
- Vavilov straggling and Moliere multiple scattering activated
- 2 x 2 x 1 meter water target
- 10000 events


Default is the new detection system.
### Features of `detect.dat`:
- 1D MSH scoring along z integrating over entire beam
- 1D MSH scoring along z integrating over 1x1x0.1 cm blocks along center axis.
- 2D MSH scoring in a 1 cm thick Y-Z plane
- Scoring dose from all particles and also dose from primary particles only.


### Features of `detect_old.dat` (old scoring format):
- 1D MSH scoring along z integrating over entire beam
- 1D MSH scoring along z integrating over 1x1x0.1 cm blocks along center axis.
- 2D MSH scoring in a 1 cm thick Y-Z plane

## Execution
Simply run the `shieldhit` command from this directory. If you are outside of the directory, you can specify the dir in the argument, i.e.:

```
./shieldhit c12rifisobp/
```

To use `detect_old.dat` you can either rename it to `detect.dat` or you can invoke it without renaming it with the -d option:
```
./shieldhit c12rifisobp/ -d c12rifisobp/detect_old.dat
```
