# EXAMPLE `simple`

A simple example of how to do scoring, using the old and new detection system.

## General Features
- C-12 beam, 391 MeV/u, 0 cm width
- Vavilov straggling and Moliere multiple scattering activated
- Water target: cylinder r=10cm length=30 cm
- 6000 primary particles simulated

Default is the new detection system.

### Features of `detect.dat`
- scorer1: cylindrical, r = 10 cm in 1 bin, z = 30 cm in 300 bins, `ex_cyl.dat`, energy, dose, track-and dose averaged LET.
- scorer2: 2D-Cartesian, X and Y from -5 cm to +5 cm in 100 bins, z = 30 cm in 300 bins, `ex_zmsh.bdo`, Dose, TLET and a zone map.

### Features of `detect_old.dat` (old scoring format)
- scorer1: energy, cylindrical, r = 10 cm in 1 bin, z = 30 cm in 300 bins, `ex_cyl.bdo`
- scorer2: energy, Cartesian, X and Y from -5 cm to +5 cm in 1 bin, z = 30 cm in 300 bins, `ex_zmsh.bdo`
- scorer3: energy, Cartesian, X from -1 cm to +1 cm in 1 bin, , Y from -5 to +5 cm in 100 bins, z from +10 cm to +12 cm in 1 bin. `ex_ymsh.bdo`
- scorer3: energy, 2 dimensional Cartesian, X from -5 cm to +5 cm in 1 bin, , Y from -5 to +5 cm in 100 bins, z from 0 cm to +30 cm in 300 bin. `ex_yzmsh.bdo`

## Execution:
Simply run the `shieldhit` command from this directory. If you are outside of the directory, you can specify the dir in the argument, i.e.:

```
./shieldhit simple/
```

To use `detect_old.dat` you can either rename it to `detect.dat` or you can invoke it without renaming it with the -d option:
```
./shieldhit simple/ -d simple/detect_old.dat
```
