# EXAMPLE `simple`

A simple example of how to do scoring, using the old and new detection system.

## General Features
- C-12 beam, 391 MeV/u, 0 cm width
- Vavilov straggling and Moliere multiple scattering activated
- Water target: cylinder r = 10cm length = 30 cm
- 20000 primary particles simulated

Default is the new detection system.

### Features of `detect.dat`
- scorer: energy, dose, dose-averaged LET, fluence. All saved into separate files.
- tracer, printing the first ~100 traces to comma separated file (.csv) file.


### Features of `detect_old.dat` (old scoring format)
- scorer: energy, dose, dose-averaged LET, fluence. All saved into separate files.
- tracer, printing the first 10 traces to comma separated file (.csv) file.

## Execution:
Simply run the `shieldhit` command from this directory. If you are outside of the directory, you can specify the dir in the argument, i.e.:

```
./shieldhit voxel/
```

To use `detect_old.dat` you can either rename it to `detect.dat` or you can invoke it without renaming it with the -d option:
```
./shieldhit voxel/ -d voxel/detect_old.dat
```
