/* ICRU energy table */

#define SHIELD_IONS 18  /* number of ions in output table */
#define SHIELD_ETABLE 53 /* number of energy steps */

const float shield_energy_table[SHIELD_ETABLE] = {
  2.50E-02, 3.00E-02, 4.00E-02, 5.00E-02, 6.00E-02, 7.00E-02, 8.00E-02,
  9.00E-02, 1.00E-01, 1.50E-01, 2.00E-01, 2.50E-01, 3.00E-01, 4.00E-01,
  5.00E-01, 6.00E-01, 7.00E-01, 8.00E-01, 9.00E-01, 1.00E+00, 1.50E+00,
  2.00E+00, 2.50E+00, 3.00E+00, 4.00E+00, 5.00E+00, 6.00E+00, 7.00E+00,
  8.00E+00, 9.00E+00, 1.00E+01, 1.50E+01, 2.00E+01, 2.50E+01, 3.00E+01,
  4.00E+01, 5.00E+01, 6.00E+01, 7.00E+01, 8.00E+01, 9.00E+01, 1.00E+02,
  1.50E+02, 2.00E+02, 2.50E+02, 3.00E+02, 4.00E+02, 5.00E+02, 6.00E+02,
  7.00E+02, 8.00E+02, 9.00E+02, 1.00E+03};

const char shield_filename_table[1000][40] = {
  "(N/A)",
  "H", "He", "Li", "Be", "B", "C",
  "N", "O", "F", "Ne", "Na", "Mg",
  "Al", "Si", "P", "S", "Cl", "Ar",
  "K", "Ca", "Sc", "Ti", "V", "Cr",
  "Mn", "Fe", "Co", "Ni", "Cu", "Zn", "Ga",
  "Ge", "As", "Se", "Br", "Kr", "Rb",
  "Sr", "Y", "Zr", "Nb", "Mo", "Tc",
  "Ru", "Rh", "Pd", "Ag", "Cd", "In", "Sn",
  "Sb", "Te", "I", "Xe", "Cs", "Ba", "La",
  "Ce", "Pr", "Nd", "Pm", "Sm", "Eu",
  "Gd", "Tb", "Dy", "Ho", "Er", "Tm",
  "Yb", "Lu", "Hf", "Ta", "W", "Re",
  "Os", "Ir", "Pt", "Au", "Hg", "Tl", "Pb",
  "Bi", "Po", "At", "Rn", "Fr", "Ra", "Ac",
  "Th","Pa", "U", "Np", "Pu", "Am",
  "Cm", "Bk", "Cf",
  "A-150", "Acetone", "Acetylene",
  "Adenine", "Adipose", "Air", "Alanine", "Al2O3", "Amber",
  "Ammonia", "Aniline", "Anthracene", "B-100", "Bakelite", "BaF2",
  "BaSO4", "Benzene", "BeO", "BiGeO",
  "BloodICRP", "BoneICRU", "BoneICRP", "B4C",
  "BoronOxide", "BrainICRP", "Butane", "N-ButylAlcohol", "C-552",
  "CdTe", "CdWO4", "CaCO3",
  "CaF2", "CaO", "CaSO4", "CaWO4",
  "CO2", "CCl4", "Cellophane",
  "CAB", "CelNitrate",
  "CeSO4Dos", "CsF", "CsI",
  "ClBenzene", "CHCl3", "Concrete", "Cyclohexane",
  "DClBenzene", "DClDEtyEth", "DClEthane", "DEtyEther",
  "DMF", "DMSO", "C2H6", "Ethanol",
  "EthylCell", "C2H4", "Eyelens", "Fe2O3", "FeB",
  "FeO", "FeSO4Dos", "Freon-12", "Freon-12B2",
  "Freon-13", "Freon-13B1", "Freon-13I1", "GOS",
  "GaAs", "GelPhot",
  "GlassPyrex", "GlassLead", "GlassPlate", /* 169,170,171*/
  "Glucose", "Glutamine", "Glycerol", "Guanine",
  "Gypsum", "Heptane", "Hexane", "Kapton",
  "LaBrO", "La2O2S", "PbO", "LiNH2", "Li2CO3",
  "LiF", "LiH", "LiI", "Li2O", "Li4borate",
  "Lung", "M3wax", "MgCO3", "MgF2", "MgO",
  "MgB4O7", "HgI2", "CH4", "Methanol", "MixDwax",
  "MS20", "MuscleICRP", "MuscleICRU", "MuscleSuc",
  "MuscleNoSuc", "Naphthalene", "NitroBenz", "N2O",
  "Elvamide", "Nylon", "Nylon6-10", "Rilsan",
  "Octane", "Paraffin", "Pentane", "Emulsion",
  "Plasscin", "PuO2", "PAN", "Polycarb",
  "Polyclst", "Polyeth", "Mylar", "Lucite", "POM",
  "PP", "PS", "Teflon", "PTFCE", "PVAc", "PVOH",
  "PVB", "PVC", "Saran", "PVDF", "PVP", "KI",
  "K2O", "Propane", "PropaneLiq", "NPropylOH",
  "Pyridine", "RubberB", "Rubber", "Neoprene",
  "SiO2", "AgBr", "AgCl", "AgHaEmul", "AgI",
  "Skin", "Na2CO3", "NaI", "Na2O", "NaNO3",
  "Stilbene", "Sucrose", "Terphenyl", "Testes",
  "C2Cl4", "TlCl", "TissueICRP", "TissueICRU",
  "Tissmeth", "Tissprop", "TiO2", "Toluene",
  "Trichlor", "Triethphos", "WF6", "UC2",
  "UC", "UO", "Urea", "Valine", "Viton",
  "Water", "H2Ovapor", "Xylene", "",  // XYLENE is 278
  "","","","","","","","","","", // 280-289
  "","","","","","","","","","", // 290-299
  "","","","","","","","","","", // 300-309
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","","","","",  // 400-409
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","","","","",  // 500-509
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","","","","",  // 600-609
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","","","","",  // 700-709
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","","","","",  // 800-809
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","",
  "","","","","","","Graphite","","","",  // 900-909
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","","", "","","","","","","","","","",
  "","","","","","","","","",""  // last element is 999
};
